Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.management.data
Class DirectoryDataSync

    java.lang.Object
      |
      +--com.bea.p13n.management.data.DirectoryDataSyncCommandLine
            |
            +--com.bea.p13n.management.data.DirectoryDataSync

public class DirectoryDataSync
extends com.bea.p13n.management.data.DirectoryDataSyncCommandLine

This class synchronizes a directory on disk with a running WLS server using XML over HTTP.

Constructor Summary
`DirectoryDataSync(java.lang.String rootDirectory, java.lang.String url, java.lang.String realm, java.lang.String login, java.lang.String password, com.bea.p13n.management.data.repository.SynchronizationListener listener)` Creates an object capable of synchronizing the data in a directory on the file system with that within a running WLS server.

Method Summary
`static void` | `main(java.lang.String[] args)` Main method for running the directory synchronization utility.
`protected static java.util.Map` | `remapArguments(java.util.Map argsMap)` Converts from CommandLineArgument format to DataSyncClientFactory format arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectoryDataSync

    public DirectoryDataSync(java.lang.String rootDirectory,
                             java.lang.String url,
                             java.lang.String realm,
                             java.lang.String login,
                             java.lang.String password,
                             com.bea.p13n.management.data.repository.SynchronizationListener listener)
                      throws java.lang.NumberFormatException,
                             DataManagementException,
                             java.lang.IllegalArgumentException

  Creates an object capable of synchronizing the data in a directory on the file system with that within a running WLS server. Call the `sync` method to perform the synchronization.

  Parameters:
    `rootDirectory` - the root directory on the file system to be sychronized
    `url` - the synchronization URL in the form http://localhost:7501/datasync/DataSyncServlet
    `realm` - the realm in which the user should be authenticated.
    `login` - the login name to use for HTTP authentication.
    `password` - the password to use for HTTP authentication.
    `listener` - the SynchronizationListener on which to make perform callbacks as results of a data synchronization are parsed.

Method Detail

### remapArguments

    protected static java.util.Map remapArguments(java.util.Map argsMap)
                                           throws DataManagementException

  Converts from CommandLineArgument format to DataSyncClientFactory format arguments.

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main method for running the directory synchronization utility.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved